# DNN model configuration
model.name:
  value: unet
model.parameters.n_classes:
  value: 1
model.parameters.dropout_decoder:
  value: 0.0
model.parameters.input_channels:
  value: 1
model.parameters.starting_exponent:
  value: 6
model.parameters.dropout_backbone:
  value: 0.0
model.parameters.depth:
  value: 5
model.parameters.bilinear:
  value: False
model.parameters.learning_rate:
  value: 0.001
model.parameters.lrs_min_lr:
  value: 0.00001
model.parameters.lrs_patience:
  value: 5
model.parameters.lrs_factor:
  value: 0.5

# Training
train.callbacks.save_k_top_models:
  value: 1
train.callbacks.early_stopping_enabled:
  value: true
train.callbacks.early_stopping_patience:
  value: 100

# Trainer Configuration
train.trainer.max_epochs:
  value: 300
train.trainer.num_sanity_val_steps:
  value: 0
train.trainer.accelerator:
  value: null
train.trainer.gpus:
  value: 1
train.trainer.reload_dataloaders_every_epoch:
  value: false

# Dataset
data.datamodule.root_dir:
  value: /home/ws/sc1357/data/2021_09_02_DMA_Spot_Segmentation_Dataset/
data.datamodule.val_to_train_ratio:
  value: 0.2
data.datamodule.batch_size:
  value: 2
data.datamodule.num_workers:
  value: 0
data.datamodule.pin_memory:
  value: false

# Image processing
data.img_processing.img_type:
  value: mono_8_bit
data.img_processing.norm_type:
  value: per_image
data.img_processing.aug1.replay_processing_pipeline:
  value: false
## Augmentation - Flip
data.img_processing.aug1.aug_flip_prob:
  value: 0.5

## Augmentation -  Gaussian Blur
data.img_processing.aug1.gaussian_blur_prop:
  value: 0.5
data.img_processing.aug1.gaussian_blur_kernel_size:
# Zero or odd
  value: [0,3]
data.img_processing.aug1.std_dev_range:
  value: [0,0]

## Augmentation -  Scale/Rotate/Shift
data.img_processing.aug1.aug_shift_scale_rotate_prob:
  value: 0.5
data.img_processing.aug1.aug_shift_scale_rotate_shift_lim:
  value: 0.1
data.img_processing.aug1.aug_shift_scale_rotate_scale_lim:
  value: 0.1
data.img_processing.aug1.aug_shift_scale_rotate_rot_lim:
  value: 10

# Augmentation -  Contrast/Brightness Adjustment
data.img_processing.aug1.aug_rand_brightness_contrast_prob:
  value: 0.5
data.img_processing.aug1.aug_rand_brightness_contrast_brightness_limit:
  value: 0.2
data.img_processing.aug1.aug_rand_brightness_contrast_contrast_limit:
  value: 0.2

# Augmentation -  Random Crop
data.img_processing.aug1.random_resized_propability:
  value: 0.5
data.img_processing.aug1.random_resized_crop_size:
  value: [256, 256]
data.img_processing.aug1.random_resized_scale:
  value: [0.8, 1.0]
data.img_processing.aug1.random_resized_ratio:
  value: [0.9, 1.1]

# Spot detetction 
spot_detection.parameters.use_gpu:
  value: false
spot_detection.parameters.scale_factor:
  value: 0.2        # DMA 0.2 / Wellplate 0.08